summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPier Luigi Fiorini2018-12-24 13:53:45 +0100
committerPier Luigi Fiorini2018-12-24 13:53:45 +0100
commit3cf40d3afd0523dea31ff33a0f422be4a985d926 (patch)
tree780ed7d76ad5eed61ea307cc123dadb3f6f08559
parent993e3178eda2d7d0c424e8f77b01881dd07972f9 (diff)
downloadaur-3cf40d3afd0523dea31ff33a0f422be4a985d926.tar.gz
Update versioning
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD7
2 files changed, 7 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f573a11d4e6..a4c7d24e2a8 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Mon Dec 24 12:42:48 UTC 2018
+# Mon Dec 24 12:53:39 UTC 2018
pkgbase = qt5-gsettings-git
pkgdesc = Qt-style wrapper for GSettings
- pkgver = 20181130.102.a368ce3
+ pkgver = v1.2.0.r7.ga368ce3
pkgrel = 1
url = https://liri.io
arch = i686
diff --git a/PKGBUILD b/PKGBUILD
index 7ccd2353295..84cb2622994 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
pkgname=qt5-gsettings-git
-pkgver=20181130.102.a368ce3
+pkgver=v1.2.0.r7.ga368ce3
pkgrel=1
pkgdesc="Qt-style wrapper for GSettings"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
@@ -22,7 +22,10 @@ md5sums=('SKIP')
pkgver() {
cd ${srcdir}/${_gitname}
- echo "$(git log -1 --format="%cd" --date=short | tr -d '-').$(git rev-list --count HEAD).$(git log -1 --format="%h")"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {